Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.rmi
Interface DirectoryBrowser

All Superinterfaces:
  java.rmi.Remote

All Known Subinterfaces:
  ImageLoader, JAIImageLoader, JAIImageSaver

public interface DirectoryBrowser
extends java.rmi.Remote

Specifies a remote interface for browsing remote directories.

Version:
  1.0 12 june 2000
Author:
  Lawrence Rodrigues

Method Summary
`char` | `getFileSepChar()` Returns the file separation character of the remote machine.
`java.lang.String` | `getUserDir()` Returns the user directory in the remote machine.
`boolean` | `isDirectory(java.lang.String fl)` Checks whether the remote file is a directory.
`java.lang.String[]` | `listFiles()` Returns files in the current directory of the remote machine.
`java.lang.String[]` | `listFiles(java.lang.String fl)` Returns files in a specified directory of the remote machine.

Method Detail

### listFiles

    public java.lang.String[] listFiles()
                                 throws java.rmi.RemoteException

  Returns files in the current directory of the remote machine.
  Returns:
    an array of remote filenames.

### listFiles

    public java.lang.String[] listFiles(java.lang.String fl)
                                 throws java.rmi.RemoteException

  Returns files in a specified directory of the remote machine.
  Parameters:
    `fl` - name of the remote directory.
  Returns:
    an array of remote filenames.

### isDirectory

    public boolean isDirectory(java.lang.String fl)
                        throws java.rmi.RemoteException

  Checks whether the remote file is a directory.
  Parameters:
    `fl` - name of the remote directory.
  Returns:
    true if it is a directory.

### getUserDir

    public java.lang.String getUserDir()
                                throws java.rmi.RemoteException

  Returns the user directory in the remote machine.
  Returns:
    the user directory in the remote machine.

### getFileSepChar

    public char getFileSepChar()
                        throws java.rmi.RemoteException

  Returns the file separation character of the remote machine.
  Returns:
    the file separation character of the remote machine.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD